diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index e33d43f524283465618cdffc7fbc41a2753dcf1c..713e7a381ebb376784582b36040e36e30fc79304 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -2937,7 +3070,7 @@ class SecurityDomain:
             config.pki_log.error(
                 log.PKIHELPER_UNDEFINED_SUBSYSTEM_NICKNAME,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise Exception(log.PKIHELPER_UNDEFINED_SUBSYSTEM_NICKNAME)
             else:
                 return
@@ -2949,9 +3082,9 @@ class SecurityDomain:
             token_name = "internal"
 
         token_pwd = self.password.get_password(
-                        self.mdict['pki_shared_password_conf'],
-                        token_name,
-                        critical_failure)
+            self.mdict['pki_shared_password_conf'],
+            token_name,
+            critical_failure)
 
         if token_pwd is None or token_pwd == '':
             config.pki_log.warning(
@@ -2959,10 +3092,10 @@ class SecurityDomain:
                 typeval,
                 secname,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
-                raise Exception(log.PKIHELPER_SECURITY_DOMAIN_UPDATE_FAILURE_2
-                                %
-                                (typeval, secname))
+            if critical_failure:
+                raise Exception(
+                    log.PKIHELPER_SECURITY_DOMAIN_UPDATE_FAILURE_2 %
+                    (typeval, secname))
             else:
                 return
 
@@ -2972,7 +3105,7 @@ class SecurityDomain:
                    "-d", self.mdict['pki_database_path'],
                    "-e", params,
                    "-v",
-                   "-r", updateURL, sechost + ":" + str(secagentport)]
+                   "-r", update_url, sechost + ":" + str(secagentport)]
         try:
             output = subprocess.check_output(command,
                                              stderr=subprocess.STDOUT)
@@ -2989,12 +3122,11 @@ class SecurityDomain:
                 extra=config.PKI_INDENTATION_LEVEL_2)
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
 
         return None
 
-
     def get_installation_token(self, secuser, secpass, critical_failure=True):
         token = None
 
@@ -3010,7 +3142,8 @@ class SecurityDomain:
         cstype = cs_cfg.get('cs.type', '')
         sechost = cs_cfg.get('securitydomain.host')
         secadminport = cs_cfg.get('securitydomain.httpsadminport')
-        #secselect = cs_cfg.get('securitydomain.select') - Selected security domain
+        #secselect = cs_cfg.get('securitydomain.select') - Selected
+        # security domain
 
         command = ["/bin/pki",
                    "-p", str(secadminport),
@@ -3023,9 +3156,10 @@ class SecurityDomain:
                    "--hostname", machinename,
                    "--subsystem", cstype]
         try:
-            output = subprocess.check_output(command,
-                                         stderr=subprocess.STDOUT,
-                                         shell=True)
+            output = subprocess.check_output(
+                command,
+                stderr=subprocess.STDOUT,
+                shell=True)
 
             token_list = re.findall("Install token: \"(.*)\"", output)
             if not token_list:
@@ -3034,12 +3168,13 @@ class SecurityDomain:
                     str(sechost),
                     str(secadminport),
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, output,
+                config.pki_log.error(
+                    log.PKI_SUBPROCESS_ERROR_1, output,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKIHELPER_SECURITY_DOMAIN_GET_TOKEN_FAILURE_2
-                                    %
-                                    (str(sechost), str(secadminport)))
+                if critical_failure:
+                    raise Exception(
+                        log.PKIHELPER_SECURITY_DOMAIN_GET_TOKEN_FAILURE_2 %
+                        (str(sechost), str(secadminport)))
             else:
                 token = token_list[0]
                 return token
@@ -3051,10 +3186,11 @@ class SecurityDomain:
                 extra=config.PKI_INDENTATION_LEVEL_2)
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return None
 
+
 class Systemd(object):
     """PKI Deployment Execution Management Class"""
 
@@ -3109,7 +3245,7 @@ class Systemd(object):
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -3141,7 +3277,7 @@ class Systemd(object):
         try:
             service = None
             # Execute the "systemd daemon-reload" management lifecycle command
-            if reload_daemon == True:
+            if reload_daemon:
                 self.daemon_reload(critical_failure)
             # Compose this "systemd" execution management command
             if self.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
@@ -3155,7 +3291,7 @@ class Systemd(object):
 
             if pki.system.SYSTEM_TYPE == "debian":
                 command = ["/etc/init.d/pki-tomcatd", "start",
-                            self.mdict['pki_instance_name']]
+                           self.mdict['pki_instance_name']]
             else:
                 command = ["systemctl", "start", service]
 
@@ -3171,7 +3307,7 @@ class Systemd(object):
                     return
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -3210,7 +3346,7 @@ class Systemd(object):
 
             if pki.system.SYSTEM_TYPE == "debian":
                 command = ["/etc/init.d/pki-tomcatd", "stop",
-                            self.mdict['pki_instance_name']]
+                           self.mdict['pki_instance_name']]
             else:
                 command = ["systemctl", "stop", service]
 
@@ -3223,7 +3359,7 @@ class Systemd(object):
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -3256,7 +3392,7 @@ class Systemd(object):
             service = None
             # Compose this "systemd" execution management command
             # Execute the "systemd daemon-reload" management lifecycle command
-            if reload_daemon == True:
+            if reload_daemon:
                 self.daemon_reload(critical_failure)
             if self.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
                 service = "pki-apached" + "@" +\
@@ -3269,7 +3405,7 @@ class Systemd(object):
 
             if pki.system.SYSTEM_TYPE == "debian":
                 command = ["/etc/init.d/pki-tomcatd", "restart",
-                            self.mdict['pki_instance_name']]
+                           self.mdict['pki_instance_name']]
             else:
                 command = ["systemctl", "restart", service]
 
@@ -3285,7 +3421,7 @@ class Systemd(object):
                     return
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -3300,15 +3436,16 @@ class ConfigClient:
         self.clone = config.str2bool(self.mdict['pki_clone'])
         self.external = config.str2bool(self.mdict['pki_external'])
         self.external_step_two = config.str2bool(
-                                     self.mdict['pki_external_step_two'])
+            self.mdict['pki_external_step_two'])
         self.standalone = config.str2bool(self.mdict['pki_standalone'])
         self.subordinate = config.str2bool(self.mdict['pki_subordinate'])
         # set useful 'string' object variables for this class
         self.subsystem = self.mdict['pki_subsystem']
 
     def configure_pki_data(self, data):
-        config.pki_log.info(log.PKI_CONFIG_CONFIGURING_PKI_DATA,
-                             extra=config.PKI_INDENTATION_LEVEL_2)
+        config.pki_log.info(
+            log.PKI_CONFIG_CONFIGURING_PKI_DATA,
+            extra=config.PKI_INDENTATION_LEVEL_2)
 
         connection = pki.client.PKIConnection(
             protocol='https',
@@ -3320,27 +3457,28 @@ class ConfigClient:
             client = pki.system.SystemConfigClient(connection)
             response = client.configure(data)
 
-            config.pki_log.debug(log.PKI_CONFIG_RESPONSE_STATUS + \
-                                   " " + str(response['status']),
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+            config.pki_log.debug(
+                log.PKI_CONFIG_RESPONSE_STATUS + " " + str(response['status']),
+                extra=config.PKI_INDENTATION_LEVEL_2)
             try:
                 certs = response['systemCerts']
             except KeyError:
                 # no system certs created
-                config.pki_log.debug("No new system certificates generated.",
-                                      extra=config.PKI_INDENTATION_LEVEL_2)
+                config.pki_log.debug(
+                    "No new system certificates generated.",
+                    extra=config.PKI_INDENTATION_LEVEL_2)
                 certs = []
 
             if not isinstance(certs, types.ListType):
                 certs = [certs]
             for cdata in certs:
-                if (self.subsystem == "CA" and
-                    self.external and
-                    not self.external_step_two):
+                if (self.subsystem == "CA" and self.external and
+                        not self.external_step_two):
                     # External CA (Step 1)
                     if cdata['tag'].lower() == "signing":
                         # Save 'External CA Signing Certificate' CSR (Step 1)
-                        self.save_system_csr(cdata['request'],
+                        self.save_system_csr(
+                            cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE,
                             self.mdict['pki_external_csr_path'])
                         return
@@ -3349,52 +3487,58 @@ class ConfigClient:
                     if cdata['tag'].lower() == "audit_signing":
                         # Save Stand-alone PKI 'Audit Signing Certificate' CSR
                         # (Step 1)
-                        self.save_system_csr(cdata['request'],
+                        self.save_system_csr(
+                            cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_AUDIT_SIGNING_1,
                             self.mdict['pki_external_audit_signing_csr_path'],
                             self.subsystem)
                     elif cdata['tag'].lower() == "signing":
                         # Save Stand-alone PKI OCSP 'OCSP Signing Certificate'
                         # CSR (Step 1)
-                        self.save_system_csr(cdata['request'],
+                        self.save_system_csr(
+                            cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_OCSP_SIGNING,
                             self.mdict['pki_external_signing_csr_path'])
                     elif cdata['tag'].lower() == "sslserver":
                         # Save Stand-alone PKI 'SSL Server Certificate' CSR
                         # (Step 1)
-                        self.save_system_csr(cdata['request'],
+                        self.save_system_csr(
+                            cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_SSLSERVER_1,
                             self.mdict['pki_external_sslserver_csr_path'],
                             self.subsystem)
                     elif cdata['tag'].lower() == "storage":
                         # Save Stand-alone PKI KRA 'Storage Certificate' CSR
                         # (Step 1)
-                        self.save_system_csr(cdata['request'],
+                        self.save_system_csr(
+                            cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_KRA_STORAGE,
                             self.mdict['pki_external_storage_csr_path'])
                     elif cdata['tag'].lower() == "subsystem":
                         # Save Stand-alone PKI 'Subsystem Certificate' CSR
                         # (Step 1)
-                        self.save_system_csr(cdata['request'],
+                        self.save_system_csr(
+                            cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_SUBSYSTEM_1,
                             self.mdict['pki_external_subsystem_csr_path'],
                             self.subsystem)
                     elif cdata['tag'].lower() == "transport":
                         # Save Stand-alone PKI KRA 'Transport Certificate' CSR
                         # (Step 1)
-                        self.save_system_csr(cdata['request'],
+                        self.save_system_csr(
+                            cdata['request'],
                             log.PKI_CONFIG_EXTERNAL_CSR_SAVE_KRA_TRANSPORT,
                             self.mdict['pki_external_transport_csr_path'])
                 else:
-                    config.pki_log.debug(log.PKI_CONFIG_CDATA_TAG + \
-                                           " " + cdata['tag'],
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    config.pki_log.debug(log.PKI_CONFIG_CDATA_CERT + \
-                                           "\n" + cdata['cert'],
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    config.pki_log.debug(log.PKI_CONFIG_CDATA_REQUEST + \
-                                           "\n" + cdata['request'],
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
+                    config.pki_log.debug(
+                        log.PKI_CONFIG_CDATA_TAG + " " + cdata['tag'],
+                        extra=config.PKI_INDENTATION_LEVEL_2)
+                    config.pki_log.debug(
+                        log.PKI_CONFIG_CDATA_CERT + "\n" + cdata['cert'],
+                        extra=config.PKI_INDENTATION_LEVEL_2)
+                    config.pki_log.debug(
+                        log.PKI_CONFIG_CDATA_REQUEST + "\n" + cdata['request'],
+                        extra=config.PKI_INDENTATION_LEVEL_2)
 
             # Cloned PKI subsystems do not return an Admin Certificate
             if not self.clone:
@@ -3417,8 +3561,10 @@ class ConfigClient:
                 if root.tag == 'PKIException':
                     message = root.findall('.//Message')[0].text
                     if message is not None:
-                        config.pki_log.error(log.PKI_CONFIG_JAVA_CONFIGURATION_EXCEPTION + " " + message,
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
+                        config.pki_log.error(
+                            log.PKI_CONFIG_JAVA_CONFIGURATION_EXCEPTION + " "
+                            + message,
+                            extra=config.PKI_INDENTATION_LEVEL_2)
                         raise
             config.pki_log.error(
                 log.PKI_CONFIG_JAVA_CONFIGURATION_EXCEPTION + " " + str(e),
@@ -3427,9 +3573,9 @@ class ConfigClient:
         return
 
     def process_admin_cert(self, admin_cert):
-        config.pki_log.debug(log.PKI_CONFIG_RESPONSE_ADMIN_CERT + \
-                             "\n" + admin_cert,
-                             extra=config.PKI_INDENTATION_LEVEL_2)
+        config.pki_log.debug(
+            log.PKI_CONFIG_RESPONSE_ADMIN_CERT + "\n" + admin_cert,
+            extra=config.PKI_INDENTATION_LEVEL_2)
 
         # Store the Administration Certificate in a file
         admin_cert_file = self.mdict['pki_client_admin_cert']
@@ -3440,7 +3586,8 @@ class ConfigClient:
 
         # convert the cert file to binary
         command = ["AtoB", admin_cert_file, admin_cert_bin_file]
-        config.pki_log.info(' '.join(command),
+        config.pki_log.info(
+            ' '.join(command),
             extra=config.PKI_INDENTATION_LEVEL_2)
         try:
             subprocess.check_call(command)
@@ -3479,13 +3626,13 @@ class ConfigClient:
             self.mdict['pki_client_password_conf'],
             self.mdict['pki_client_database_dir'])
 
-        os.chmod(self.mdict['pki_client_admin_cert_p12'],
+        os.chmod(
+            self.mdict['pki_client_admin_cert_p12'],
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
 
-
     def construct_pki_configuration_data(self):
         config.pki_log.info(log.PKI_CONFIG_CONSTRUCTING_PKI_DATA,
-                             extra=config.PKI_INDENTATION_LEVEL_2)
+                            extra=config.PKI_INDENTATION_LEVEL_2)
 
         data = pki.system.ConfigurationRequest()
 
@@ -3507,7 +3654,7 @@ class ConfigClient:
 
         # Security Domain
         if ((self.subsystem != "CA" or self.clone or self.subordinate) and
-            not self.standalone):
+                not self.standalone):
             # PKI KRA, PKI OCSP, PKI RA, PKI TKS, PKI TPS,
             # CA Clone, KRA Clone, OCSP Clone, TKS Clone, TPS Clone, or
             # Subordinate CA
@@ -3542,10 +3689,8 @@ class ConfigClient:
 
     def save_admin_csr(self):
         config.pki_log.info(
-            log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_ADMIN_1 + \
-            " '" + \
-            self.mdict['pki_external_admin_csr_path'] + \
-            "'", self.subsystem,
+            log.PKI_CONFIG_EXTERNAL_CSR_SAVE_PKI_ADMIN_1 + " '" +
+            self.mdict['pki_external_admin_csr_path'] + "'", self.subsystem,
             extra=config.PKI_INDENTATION_LEVEL_2)
         self.deployer.directory.create(
             os.path.dirname(self.mdict['pki_external_admin_csr_path']))
@@ -3562,8 +3707,8 @@ class ConfigClient:
         # Read in and print Admin certificate request
         with open(self.mdict['pki_external_admin_csr_path'], "r") as f:
             admin_certreq = f.read()
-        config.pki_log.info(log.PKI_CONFIG_CDATA_REQUEST + \
-            "\n" + admin_certreq,
+        config.pki_log.info(
+            log.PKI_CONFIG_CDATA_REQUEST + "\n" + admin_certreq,
             extra=config.PKI_INDENTATION_LEVEL_2)
 
     def save_admin_cert(self, message, input_data, output_file, subsystem_name):
@@ -3621,12 +3766,14 @@ class ConfigClient:
                         cert1.tag = self.mdict['pki_ca_signing_tag']
                     # Load the External CA or Stand-alone PKI
                     # 'External CA Signing Certificate' (Step 2)
-                    self.load_system_cert(cert1,
+                    self.load_system_cert(
+                        cert1,
                         log.PKI_CONFIG_EXTERNAL_CA_LOAD,
                         self.mdict['pki_external_ca_cert_path'])
                     # Load the External CA or Stand-alone PKI
                     # 'External CA Signing Certificate Chain' (Step 2)
-                    self.load_system_cert_chain(cert1,
+                    self.load_system_cert_chain(
+                        cert1,
                         log.PKI_CONFIG_EXTERNAL_CA_CHAIN_LOAD,
                         self.mdict['pki_external_ca_cert_chain_path'])
                     systemCerts.append(cert1)
@@ -3637,13 +3784,14 @@ class ConfigClient:
         # Create 'OCSP Signing Certificate'
         if not self.clone:
             if (self.subsystem == "OCSP" and
-                self.standalone and
-                self.external_step_two):
+                    self.standalone and
+                    self.external_step_two):
                 # Stand-alone PKI OCSP (Step 2)
                 cert2 = self.create_system_cert("ocsp_signing")
                 # Load the Stand-alone PKI OCSP 'OCSP Signing Certificate'
                 # (Step 2)
-                self.load_system_cert(cert2,
+                self.load_system_cert(
+                    cert2,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_OCSP_SIGNING,
                     self.mdict['pki_external_signing_cert_path'])
                 cert2.signingAlgorithm = \
@@ -3665,7 +3813,8 @@ class ConfigClient:
             # Stand-alone PKI (Step 2)
             cert3 = self.create_system_cert("ssl_server")
             # Load the Stand-alone PKI 'SSL Server Certificate' (Step 2)
-            self.load_system_cert(cert3,
+            self.load_system_cert(
+                cert3,
                 log.PKI_CONFIG_EXTERNAL_CERT_LOAD_PKI_SSLSERVER_1,
                 self.mdict['pki_external_sslserver_cert_path'],
                 self.subsystem)
@@ -3694,7 +3843,8 @@ class ConfigClient:
                 # Stand-alone PKI (Step 2)
                 cert4 = self.create_system_cert("subsystem")
                 # Load the Stand-alone PKI 'Subsystem Certificate' (Step 2)
-                self.load_system_cert(cert4,
+                self.load_system_cert(
+                    cert4,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_PKI_SUBSYSTEM_1,
                     self.mdict['pki_external_subsystem_cert_path'],
                     self.subsystem)
@@ -3722,7 +3872,8 @@ class ConfigClient:
                 # Stand-alone PKI (Step 2)
                 cert5 = self.create_system_cert("audit_signing")
                 # Load the Stand-alone PKI 'Audit Signing Certificate' (Step 2)
-                self.load_system_cert(cert5,
+                self.load_system_cert(
+                    cert5,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_PKI_AUDIT_SIGNING_1,
                     self.mdict['pki_external_audit_signing_cert_path'],
                     self.subsystem)
@@ -3738,19 +3889,21 @@ class ConfigClient:
         # Create 'DRM Transport Certificate' and 'DRM Storage Certificate'
         if not self.clone:
             if (self.subsystem == "KRA" and
-                self.standalone and
-                self.external_step_two):
+                    self.standalone and
+                    self.external_step_two):
                 # Stand-alone PKI KRA Transport Certificate (Step 2)
                 cert6 = self.create_system_cert("transport")
                 # Load the Stand-alone PKI KRA 'Transport Certificate' (Step 2)
-                self.load_system_cert(cert6,
+                self.load_system_cert(
+                    cert6,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_KRA_TRANSPORT,
                     self.mdict['pki_external_transport_cert_path'])
                 systemCerts.append(cert6)
                 # Stand-alone PKI KRA Storage Certificate (Step 2)
                 cert7 = self.create_system_cert("storage")
                 # Load the Stand-alone PKI KRA 'Storage Certificate' (Step 2)
-                self.load_system_cert(cert7,
+                self.load_system_cert(
+                    cert7,
                     log.PKI_CONFIG_EXTERNAL_CERT_LOAD_KRA_STORAGE,
                     self.mdict['pki_external_storage_cert_path'])
                 systemCerts.append(cert7)
@@ -3866,7 +4019,7 @@ class ConfigClient:
                         elif line.startswith("-----END CERTIFICATE-----"):
                             continue
                         else:
-                            imported_admin_cert = imported_admin_cert + line
+                            imported_admin_cert += line
                 with open(self.mdict['pki_admin_cert_file'], "w") as f:
                     f.write(imported_admin_cert)
             # read config from file
@@ -3889,18 +4042,19 @@ class ConfigClient:
                     noise_file, int(self.mdict['pki_admin_keysize']))
 
                 self.deployer.certutil.generate_certificate_request(
-                                     self.mdict['pki_admin_subject_dn'],
-                                     self.mdict['pki_admin_keysize'],
-                                     self.mdict['pki_client_password_conf'],
-                                     noise_file,
-                                     output_file,
-                                     self.mdict['pki_client_database_dir'],
-                                     None, None, True)
+                    self.mdict['pki_admin_subject_dn'],
+                    self.mdict['pki_admin_keysize'],
+                    self.mdict['pki_client_password_conf'],
+                    noise_file,
+                    output_file,
+                    self.mdict['pki_client_database_dir'],
+                    None, None, True)
 
                 # convert output to ascii
                 command = ["BtoA", output_file, output_file + ".asc"]
-                config.pki_log.info(' '.join(command),
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
+                config.pki_log.info(
+                    ' '.join(command),
+                    extra=config.PKI_INDENTATION_LEVEL_2)
                 try:
                     subprocess.check_call(command)
                 except subprocess.CalledProcessError as exc:
@@ -3928,9 +4082,9 @@ class ConfigClient:
 
     def set_issuing_ca_parameters(self, data):
         if (self.subsystem != "CA" or
-            self.clone or
-            self.subordinate or
-            self.external):
+                self.clone or
+                self.subordinate or
+                self.external):
             # PKI KRA, PKI OCSP, PKI RA, PKI TKS, PKI TPS,
             # CA Clone, KRA Clone, OCSP Clone, TKS Clone, TPS Clone,
             # Subordinate CA, External CA, or Stand-alone PKI
@@ -3939,7 +4093,8 @@ class ConfigClient:
     def set_tps_parameters(self, data):
         data.caUri = self.mdict['pki_ca_uri']
         data.tksUri = self.mdict['pki_tks_uri']
-        data.enableServerSideKeyGen = self.mdict['pki_enable_server_side_keygen']
+        data.enableServerSideKeyGen = \
+            self.mdict['pki_enable_server_side_keygen']
         if config.str2bool(self.mdict['pki_enable_server_side_keygen']):
             data.kraUri = self.mdict['pki_kra_uri']
         data.authdbHost = self.mdict['pki_authdb_hostname']
@@ -3989,6 +4144,7 @@ class ConfigClient:
         cert.token = cs_cfg.get(cstype + ".subsystem.tokenname")
         return cert
 
+
 class PKIDeployer:
     """Holds the global dictionaries and the utility objects"""
 
diff --git a/base/server/python/pki/server/deployment/pkilogging.py b/base/server/python/pki/server/deployment/pkilogging.py
index c91a7656f6767da91107ef72a65da01a1e333066..14c11cf4d8a9aa88a735c8f4fa8124b9a01b2886 100644
--- a/base/server/python/pki/server/deployment/pkilogging.py
+++ b/base/server/python/pki/server/deployment/pkilogging.py
@@ -29,6 +29,7 @@ sensitive_parameters = []
 # Initialize 'pretty print' for objects
 pp = pprint.PrettyPrinter(indent=4)
 
+
 def log_format(given_dict):
     new_dict = {}
 
@@ -42,6 +43,7 @@ def log_format(given_dict):
 
     return pp.pformat(new_dict)
 
+
 # PKI Deployment Logging Functions
 def enable_pki_logger(log_dir, log_name, log_level, console_log_level, name):
     if not os.path.isdir(log_dir):
@@ -57,8 +59,8 @@ def enable_pki_logger(log_dir, log_name, log_level, console_log_level, name):
     # Configure console handler
     console = logging.StreamHandler()
     console.setLevel(console_log_level)
-    console_format = logging.Formatter('%(name)-12s: ' + \
-                                       '%(levelname)-8s ' + \
+    console_format = logging.Formatter('%(name)-12s: ' +
+                                       '%(levelname)-8s ' +
                                        '%(indent)s%(message)s')
     console.setFormatter(console_format)
     logger.addHandler(console)
@@ -66,8 +68,8 @@ def enable_pki_logger(log_dir, log_name, log_level, console_log_level, name):
     # Configure file handler
     log_file = logging.FileHandler(log_dir + "/" + log_name, 'w')
     log_file.setLevel(log_level)
-    file_format = logging.Formatter('%(asctime)s %(name)-12s: ' + \
-                                    '%(levelname)-8s ' + \
+    file_format = logging.Formatter('%(asctime)s %(name)-12s: ' +
+                                    '%(levelname)-8s ' +
                                     '%(indent)s%(message)s',
                                     '%Y-%m-%d %H:%M:%S')
     log_file.setFormatter(file_format)
diff --git a/base/server/python/pki/server/deployment/pkimanifest.py b/base/server/python/pki/server/deployment/pkimanifest.py
index 8ba60dd8b4f453d396dc465c5dd20a3d062b547f..593fb20d3e6c522907a234de346ef5a247f1be9e 100644
--- a/base/server/python/pki/server/deployment/pkimanifest.py
+++ b/base/server/python/pki/server/deployment/pkimanifest.py
@@ -36,13 +36,13 @@ RECORD_TYPE_SYMLINK = "symlink"
 # PKI Deployment Manifest Record Class
 class Record(object):
     __slots__ = "name", \
-               "type", \
-               "user", \
-               "group", \
-               "uid", \
-               "gid", \
-               "permissions", \
-               "acls",
+                "type", \
+                "user", \
+                "group", \
+                "uid", \
+                "gid", \
+                "permissions", \
+                "acls",
 
     def __init__(self):
         self.name = None
@@ -55,18 +55,18 @@ class Record(object):
         self.acls = None
 
     def items(self):
-        "dict style items"
+        """dict style items"""
         return [
             (field_name, getattr(self, field_name))
             for field_name in self.__slots__]
 
     def __iter__(self):
-        "iterate over fields tuple/list style"
+        """iterate over fields tuple/list style"""
         for field_name in self.__slots__:
             yield getattr(self, field_name)
 
     def __getitem__(self, index):
-        "tuple/list style getitem"
+        """tuple/list style getitem"""
         return getattr(self, self.__slots__[index])
 
 
